
******* DATA CLEANING

*** Budget data

* Import Excel Files
clear
local quarters_list "03 06 09 12"
foreach year of numlist 2007/2016 {
	foreach quart of local quarters_list {
		import excel "$data_budget/${budget_abcc}_`year'_`quart'.xls", firstrow clear
		save "$tempfiles/budget_abcc_`year'_`quart'.dta", replace
	}
}

local quarters_list "03 06"
foreach year of numlist 2017 {
	foreach quart of local quarters_list {
		import excel "$data_budget/${budget_abcc}_`year'_`quart'.xls", firstrow clear
		save "$tempfiles/budget_abcc_`year'_`quart'.dta", replace
	}
}

* Append
clear
local quarters_list "03 06 09 12"
foreach year of numlist 2007/2016 {
	foreach quart of local quarters_list {
		di "`year' `quart'"
		append using "$tempfiles/budget_abcc_`year'_`quart'.dta"

	}
}

local quarters_list "03 06"
foreach year of numlist 2017 {
	foreach quart of local quarters_list {
		append using "$tempfiles/budget_abcc_`year'_`quart'.dta"

	}
}

drop if sede==""

replace sede="ROMA CASILINO PRENESTINO - dir" if sede=="ROMA CASILINO PRENEST. - dir"
drop reg
gen reg=1 if sede=="PIEMONTE" | sede=="VALLE D'AOSTA" | sede=="LIGURIA" | sede=="LOMBARDIA" | ///
		sede=="VENETO" | sede=="TRENTINO ALTO ADIGE" | sede=="FRIULI VENEZIA GIULIA" | sede=="EMILIA ROMAGNA" | sede=="ABRUZZO" | ///
		sede=="MOLISE" | sede=="MARCHE" | sede=="TOSCANA" | sede=="LAZIO" | sede=="PUGLIA" | ///
		sede=="CAMPANIA" | sede=="BASILICATA" | sede=="CALABRIA" | sede=="SICILIA" | sede=="SARDEGNA" | ///
		sede=="UMBRIA" 
replace reg=1 if sede=="NAZIONALE"		
gen sede_temp= sede if reg==1

replace cod_sede_budg="510103" if cod_sede_budg=="510010"
replace cod_sede_budg="510502" if cod_sede_budg=="510003"
replace cod_sede_budg="069000" if cod_sede_budg=="060001"
replace cod_sede_budg="810009" if cod_sede_budg=="810010"

* 1:1 mapping between sedi and cod_sede_budg
preserve
	tempfile sedi_nome
	save `sedi_nome', emptyok

	keep sede cod_sede_budg
	duplicates drop	

	gen dir=1 if substr(sede, -3, .)=="dir"
	gen l=length(cod_sede_budg)	

	replace sede="ANDRIA - dir" if cod_sede_budg=="0901"
	replace sede="OZZANO DELL'EMILIA" if cod_sede_budg=="130006"
	replace sede="SEREGNO" if cod_sede_budg=="490104"
	replace sede="MILANO MISSORI" if cod_sede_budg=="490300"
	replace sede="MILANO FIORI" if cod_sede_budg=="490400"
	replace sede="MILANO CORVETTO" if cod_sede_budg=="490500"
	replace sede="CASTELLAMMARE DI STABIA - fil" if cod_sede_budg=="51010"
	replace sede="NOLA - fil" if cod_sede_budg=="51020"
	replace sede="ARZANO-FRATTAMAGGIORE" if cod_sede_budg=="510300"
	replace sede="NAPOLI CAMALDOLI" if cod_sede_budg=="510500"
	replace sede="GUIDONIA-TIVOLI" if cod_sede_budg=="701301"
	replace sede="LINGOTTO" if cod_sede_budg=="810008"
	replace sede="VIGEVANO TO" if cod_sede_budg=="810011"
	replace sede="GIULIO CESARE" if cod_sede_budg=="810014"
	replace sede="SETTIMO TORINESE" if cod_sede_budg=="810300"
	replace sede="MEDIO FRIULI" if cod_sede_budg=="860005"
	replace sede="MESTRE 1" if cod_sede_budg=="880004"

	replace sede="SENORBI'" if cod_sede_budg=="170003"
	replace sede="AG. URBANA DI CAGLIARI" if cod_sede_budg=="170007"
	replace sede="CARBONAIA" if cod_sede_budg=="170101"
	replace sede="NAPOLI - fil" if cod_sede_budg=="51000"
	replace sede="FC CAMALDOLI VOMERO - fil" if cod_sede_budg=="51050"
	replace sede="FC POZZUOLI" if cod_sede_budg=="51060"
	replace sede="ROMA - fil" if cod_sede_budg=="70000"
	replace sede="FC SUD-OVEST EUR - fil" if cod_sede_budg=="70010"
	replace sede="FC ROMA MONTESACRO - fil" if cod_sede_budg=="70040"
	replace sede="FC SUD-EST CASILINO - fil" if cod_sede_budg=="70090"
	replace sede="FC ROMA TUSCOLANO" if cod_sede_budg=="70100"
	replace sede="FC NORD-OVEST FLAMINIO - fil" if cod_sede_budg=="70140"

	replace cod_sede_budg="9999" if cod_sede_budg=="999900"
	drop l 
	duplicates drop
	duplicates tag  cod_sede_budg, gen(t1)
	drop if cod_sede_budg=="9999"
	assert t1==0
	drop t1

	save `sedi_nome', replace
restore
	
drop sede
merge m:1 cod_sede_budg using `sedi_nome'
replace sede="9999" if reg==1
assert _merge!=2
drop _merge
drop reg sede_temp

drop l naz cl a fil dir agen b consolidato to_drop to_keep

order  cod_regione regione cod_sede_budg sede processo anno q forza forza_eq unita_temp assenti straord ///
	formaz disp

gen quart=1 if q==3
replace quart=2 if q==06
replace quart=3 if q==9
replace quart=4 if q==12

gen year_quarter=yq(anno, quart)

format year_quarter %tq 

drop if cod_sede_budg=="9999" | cod_sede_budg=="999999" | cod_sede_budg=="999900" 

replace processo="FRONT OFFICE" if processo=="AREA PRESTAZ. E SERV. INDIVIDUALI"
replace processo="BACK OFFICE" if processo=="AREA FLUSSI CONTRIBUTIVI"

egen id=group(cod_sede_budg processo)
xtset id year_quarter


local to_change "forza forza_eq unita_temp assenti straord formaz disp"
foreach var of local to_change {
	rename `var' `var'_old 
	gen `var'=.
	replace `var'=`var'_old if q==3
	replace `var'=2*`var'_old- L.`var'_old  if q==6
	replace `var'=3*`var'_old- 2*L.`var'_old  if q==9
	replace `var'=4*`var'_old- 3*L.`var'_old  if q==12

}

drop q *old id

save "$dta/budget_abcc_2007_2016.dta", replace

*** Budget Produzione Lorda
* Import Excel Files
clear
local quarters_list "03 06 09 12"
foreach year of numlist 2007/2016 {
	foreach quart of local quarters_list {
		import excel "$data_budget/${budged_prod_lord}_`year'_`quart'.xls", firstrow clear
		save "$tempfiles/budged_prod_lord_`year'_`quart'.dta", replace
	}
}

local quarters_list "03 06"
foreach year of numlist 2017 {
	foreach quart of local quarters_list {
		import excel "$data_budget/${budged_prod_lord}_`year'_`quart'.xls", firstrow clear
		save "$tempfiles/budged_prod_lord_`year'_`quart'.dta", replace
	}
}

* Append
clear
local quarters_list "03 06 09 12"
foreach year of numlist 2007/2016 {
	foreach quart of local quarters_list {
		append using "$tempfiles/budged_prod_lord_`year'_`quart'.dta"

	}
}

local quarters_list "03 06"
foreach year of numlist 2017 {
	foreach quart of local quarters_list {
		append using "$tempfiles/budged_prod_lord_`year'_`quart'.dta"

	}
}

replace sede="ROMA CASILINO PRENESTINO - dir" if sede=="ROMA CASILINO PRENEST. - dir"
gen reg=1 if sede=="PIEMONTE" | sede=="VALLE D'AOSTA" | sede=="LIGURIA" | sede=="LOMBARDIA" | ///
		sede=="VENETO" | sede=="TRENTINO ALTO ADIGE" | sede=="FRIULI VENEZIA GIULIA" | sede=="EMILIA ROMAGNA" | sede=="ABRUZZO" | ///
		sede=="MOLISE" | sede=="MARCHE" | sede=="TOSCANA" | sede=="LAZIO" | sede=="PUGLIA" | ///
		sede=="CAMPANIA" | sede=="BASILICATA" | sede=="CALABRIA" | sede=="SICILIA" | sede=="SARDEGNA" | ///
		sede=="UMBRIA" 
replace reg=1 if sede=="NAZIONALE"		
gen sede_temp= sede if reg==1

replace cod_sede_budg="510103" if cod_sede_budg=="510010"
replace cod_sede_budg="510502" if cod_sede_budg=="510003"
replace cod_sede_budg="069000" if cod_sede_budg=="060001"
replace cod_sede_budg="810009" if cod_sede_budg=="810010"

* 1:1 mapping between sedi and cod_sede_budg
preserve
	tempfile sedi_nome
	save `sedi_nome', emptyok

	keep sede cod_sede_budg
	duplicates drop	

	gen dir=1 if substr(sede, -3, .)=="dir"
	gen l=length(cod_sede_budg)	

	replace sede="ANDRIA - dir" if cod_sede_budg=="0901"
	replace sede="OZZANO DELL'EMILIA" if cod_sede_budg=="130006"
	replace sede="SEREGNO" if cod_sede_budg=="490104"
	replace sede="MILANO MISSORI" if cod_sede_budg=="490300"
	replace sede="MILANO FIORI" if cod_sede_budg=="490400"
	replace sede="MILANO CORVETTO" if cod_sede_budg=="490500"
	replace sede="CASTELLAMMARE DI STABIA - fil" if cod_sede_budg=="51010"
	replace sede="NOLA - fil" if cod_sede_budg=="51020"
	replace sede="ARZANO-FRATTAMAGGIORE" if cod_sede_budg=="510300"
	replace sede="NAPOLI CAMALDOLI" if cod_sede_budg=="510500"
	replace sede="GUIDONIA-TIVOLI" if cod_sede_budg=="701301"
	replace sede="LINGOTTO" if cod_sede_budg=="810008"
	replace sede="VIGEVANO TO" if cod_sede_budg=="810011"
	replace sede="GIULIO CESARE" if cod_sede_budg=="810014"
	replace sede="SETTIMO TORINESE" if cod_sede_budg=="810300"
	replace sede="MEDIO FRIULI" if cod_sede_budg=="860005"
	replace sede="MESTRE 1" if cod_sede_budg=="880004"

	replace sede="SENORBI'" if cod_sede_budg=="170003"
	replace sede="AG. URBANA DI CAGLIARI" if cod_sede_budg=="170007"
	replace sede="CARBONAIA" if cod_sede_budg=="170101"
	replace sede="NAPOLI - fil" if cod_sede_budg=="51000"
	replace sede="FC CAMALDOLI VOMERO - fil" if cod_sede_budg=="51050"
	replace sede="FC POZZUOLI" if cod_sede_budg=="51060"
	replace sede="ROMA - fil" if cod_sede_budg=="70000"
	replace sede="FC SUD-OVEST EUR - fil" if cod_sede_budg=="70010"
	replace sede="FC ROMA MONTESACRO - fil" if cod_sede_budg=="70040"
	replace sede="FC SUD-EST CASILINO - fil" if cod_sede_budg=="70090"
	replace sede="FC ROMA TUSCOLANO" if cod_sede_budg=="70100"
	replace sede="FC NORD-OVEST FLAMINIO - fil" if cod_sede_budg=="70140"

	replace cod_sede_budg="9999" if cod_sede_budg=="999900"
	drop l 
	duplicates drop
	duplicates tag  cod_sede_budg, gen(t1)
	drop if cod_sede_budg=="9999"
	assert t1==0
	drop t1

	save `sedi_nome', replace
restore
	
drop sede
merge m:1 cod_sede_budg using `sedi_nome'
replace sede="9999" if reg==1
assert _merge!=2
drop _merge
drop reg sede_temp

order  cod_regione regione cod_sede_budg sede processo anno q  giacenza pervenuto defLordo defLordo_omog ///
	giac_fin dir

gen quart=1 if q==3
replace quart=2 if q==06
replace quart=3 if q==9
replace quart=4 if q==12

gen year_quarter=yq(anno, quart)

format year_quarter %tq 

drop if cod_sede_budg=="9999" | cod_sede_budg=="999999" | cod_sede_budg=="999900" 

replace processo="FRONT OFFICE" if processo=="AREA PRESTAZ. E SERV. INDIVIDUALI"
replace processo="BACK OFFICE" if processo=="AREA FLUSSI CONTRIBUTIVI"

egen id=group(cod_sede_budg processo)
xtset id year_quarter

local to_change "pervenuto defLordo defLordo_omog"
foreach var of local to_change {
	rename `var' `var'_old 
	gen L`var'_old=L.`var'_old 
	gen `var'=`var'_old - L`var'_old 
	replace `var'=`var'_old if q==3
}

drop dir q *old id

save "$dta/budget_prod_lorda_2007_2016.dta", replace 

*** Budget Produzione Equivalente

* Import Excel Files
clear
local quarters_list "03 06 09 12"
foreach year of numlist 2007/2016 {
	foreach quart of local quarters_list {
		import excel "$data_budget/${budget_prod_eq}_`year'_`quart'.xls", firstrow clear
		save "$tempfiles/budget_prod_eq_`year'_`quart'.dta", replace
	}
}


* Append
clear
local quarters_list "03 06 09 12"
foreach year of numlist 2007/2016 {
	foreach quart of local quarters_list {
		di "`year' `quart'"
		append using "$tempfiles/budget_prod_eq_`year'_`quart'.dta"

	}
}

local quarters_list "03 06"
foreach year of numlist 2017 {
	foreach quart of local quarters_list {
		append using "$tempfiles/budget_prod_eq_`year'_`quart'.dta"

	}
}

drop if sede==""

replace sede="ROMA CASILINO PRENESTINO" if sede=="ROMA CASILINO PRENEST."
replace sede="ROMA CASILINO PRENESTINO - dir" if sede=="ROMA CASILINO PRENEST. - dir"
drop reg
gen reg=1 if sede=="PIEMONTE" | sede=="VALLE D'AOSTA" | sede=="LIGURIA" | sede=="LOMBARDIA" | ///
		sede=="VENETO" | sede=="TRENTINO ALTO ADIGE" | sede=="FRIULI VENEZIA GIULIA" | sede=="EMILIA ROMAGNA" | sede=="ABRUZZO" | ///
		sede=="MOLISE" | sede=="MARCHE" | sede=="TOSCANA" | sede=="LAZIO" | sede=="PUGLIA" | ///
		sede=="CAMPANIA" | sede=="BASILICATA" | sede=="CALABRIA" | sede=="SICILIA" | sede=="SARDEGNA" | ///
		sede=="UMBRIA" 
replace reg=1 if sede=="NAZIONALE"		
gen sede_temp= sede if reg==1

replace cod_sede_budg="510103" if cod_sede_budg=="510010"
replace cod_sede_budg="510502" if cod_sede_budg=="510003"
replace cod_sede_budg="069000" if cod_sede_budg=="060001"
replace cod_sede_budg="810009" if cod_sede_budg=="810010"

* 1:1 mapping between sedi and cod_sede_budg
preserve
	tempfile sedi_nome
	save `sedi_nome', emptyok

	keep sede cod_sede_budg
	duplicates drop	

	gen dir=1 if substr(sede, -3, .)=="dir"
	gen l=length(cod_sede_budg)	

	replace sede="ANDRIA - dir" if cod_sede_budg=="0901"
	replace sede="OZZANO DELL'EMILIA" if cod_sede_budg=="130006"
	replace sede="SEREGNO" if cod_sede_budg=="490104"
	replace sede="MILANO MISSORI" if cod_sede_budg=="490300"
	replace sede="MILANO FIORI" if cod_sede_budg=="490400"
	replace sede="MILANO CORVETTO" if cod_sede_budg=="490500"
	replace sede="CASTELLAMMARE DI STABIA - fil" if cod_sede_budg=="51010"
	replace sede="NOLA - fil" if cod_sede_budg=="51020"
	replace sede="ARZANO-FRATTAMAGGIORE" if cod_sede_budg=="510300"
	replace sede="NAPOLI CAMALDOLI" if cod_sede_budg=="510500"
	replace sede="GUIDONIA-TIVOLI" if cod_sede_budg=="701301"
	replace sede="LINGOTTO" if cod_sede_budg=="810008"
	replace sede="VIGEVANO TO" if cod_sede_budg=="810011"
	replace sede="GIULIO CESARE" if cod_sede_budg=="810014"
	replace sede="SETTIMO TORINESE" if cod_sede_budg=="810300"
	replace sede="MEDIO FRIULI" if cod_sede_budg=="860005"
	replace sede="MESTRE 1" if cod_sede_budg=="880004"

	replace sede="SENORBI'" if cod_sede_budg=="170003"
	replace sede="AG. URBANA DI CAGLIARI" if cod_sede_budg=="170007"
	replace sede="CARBONAIA" if cod_sede_budg=="170101"
	replace sede="NAPOLI - fil" if cod_sede_budg=="51000"
	replace sede="FC CAMALDOLI VOMERO - fil" if cod_sede_budg=="51050"
	replace sede="FC POZZUOLI" if cod_sede_budg=="51060"
	replace sede="ROMA - fil" if cod_sede_budg=="70000"
	replace sede="FC SUD-OVEST EUR - fil" if cod_sede_budg=="70010"
	replace sede="FC ROMA MONTESACRO - fil" if cod_sede_budg=="70040"
	replace sede="FC SUD-EST CASILINO - fil" if cod_sede_budg=="70090"
	replace sede="FC ROMA TUSCOLANO" if cod_sede_budg=="70100"
	replace sede="FC NORD-OVEST FLAMINIO - fil" if cod_sede_budg=="70140"

	replace cod_sede_budg="9999" if cod_sede_budg=="999900"
	drop l 
	duplicates drop
	duplicates tag  cod_sede_budg, gen(t1)
	drop if cod_sede_budg=="9999"
	assert t1==0
	drop t1

	save `sedi_nome', replace
restore
	
drop sede
merge m:1 cod_sede_budg using `sedi_nome'
replace sede="9999" if reg==1
assert _merge!=2
drop _merge
drop reg sede_temp

drop  L M cl a fil dir agen b consolidato to_drop to_keep a 

order  cod_regione regione cod_sede_budg sede processo anno q produz_eq prod produz_sede prod_sede

	gen quart=1 if q==3
	replace quart=2 if q==06
	replace quart=3 if q==9
	replace quart=4 if q==12

	gen year_quarter=yq(anno, quart)

	format year_quarter %tq 

drop if cod_sede_budg=="9999" | cod_sede_budg=="999999" | cod_sede_budg=="999900" 

replace processo="FRONT OFFICE" if processo=="AREA PRESTAZ. E SERV. INDIVIDUALI"
replace processo="BACK OFFICE" if processo=="AREA FLUSSI CONTRIBUTIVI"

egen id=group(cod_sede_budg processo)
xtset id year_quarter

cap drop probl aa a 
gen probl=.
replace probl=1 if produz_eq<L.produz_eq & quart==2 & produz_eq!=0
bys id: egen aa=total(probl)
gen a=(F.produz_eq+L.produz_eq)/2 if probl==1


local to_change "produz_eq"
foreach var of local to_change {

	replace `var'=. if prod==0

	cap drop counter min_counter dd 
	bys sede processo (anno q): gen counter=_n if `var'!=.
	bys sede processo: egen min_counter=min(counter)
	bys sede processo: gen dd=1 if counter==min_counter & `var'[_n-1]==.

	rename `var' `var'_old 
	gen `var'=.
	replace `var'=`var'_old if dd==1
	xtset
	gen L`var'_old=L.`var'_old 
	replace `var'=`var'_old - L`var'_old if `var'==.
	replace `var'=`var'_old if q==3
}

local to_change "prod" 
foreach var of local to_change { 
	replace `var'=. if prod==0

	cap drop counter min_counter dd 
	bys sede processo (anno q): gen counter=_n if `var'!=.
	bys sede processo: egen min_counter=min(counter)

	bys sede processo: gen dd=1 if counter==min_counter & `var'[_n-1]==.

	rename `var' `var'_old 
	gen `var'=.
	replace `var'=`var'_old if dd==1
	replace `var'=`var'_old if q==3 & `var'==.
	xtset
	replace `var'=2*`var'_old- L.`var'_old  if q==6 & `var'==.
	replace `var'=3*`var'_old- 2*L.`var'_old  if q==9 & `var'==.
	replace `var'=4*`var'_old- 3*L.`var'_old  if q==12 & `var'==.

} 

xtset
drop a
local to_change "produz_eq prod"
foreach var of local to_change {
	cap drop a obs
	gen a=1 if `var'==.
	bys id (year_quarter): gen obs=_n
	replace `var'=`var'_old if a==1 & obs==1
}

preserve 
	tempfile var_sede
	save `var_sede', emptyok 

	keep  sede anno quart produz_sede prod_sede year_quarter q 
	duplicates drop
	xtset, clear
	egen id_temp=group(sede)
	xtset id_temp year_quarter


	local to_change "produz_sede"
	foreach var of local to_change {

		replace `var'=. if prod_sede==0

		cap drop counter min_counter dd 
		bys sede (anno q): gen counter=_n if `var'!=.
		bys sede: egen min_counter=min(counter)
		bys sede: gen dd=1 if counter==min_counter & `var'[_n-1]==.

		rename `var' `var'_old 
		gen `var'=.
		replace `var'=`var'_old if dd==1
		xtset
		gen L`var'_old=L.`var'_old 
		replace `var'=`var'_old - L`var'_old if `var'==.
		replace `var'=`var'_old if q==3
	}

	local to_change "prod_sede" 
	foreach var of local to_change { 
		replace `var'=. if prod_sede==0

		cap drop counter min_counter dd 
		bys sede (anno q): gen counter=_n if `var'!=.
		bys sede: egen min_counter=min(counter)
		bys sede: gen dd=1 if counter==min_counter & `var'[_n-1]==.

		rename `var' `var'_old 
		gen `var'=.
		replace `var'=`var'_old if dd==1
		replace `var'=`var'_old if q==3 & `var'==.
		xtset
		replace `var'=2*`var'_old- L.`var'_old  if q==6 & `var'==.
		replace `var'=3*`var'_old- 2*L.`var'_old  if q==9 & `var'==.
		replace `var'=4*`var'_old- 3*L.`var'_old  if q==12 & `var'==.

	} 

	save `var_sede', replace 
restore

drop  produz_sede prod_sede

merge m:1 sede anno q using `var_sede'
assert _merge==3
drop _merge

rename produz_sede produz_eq_sede

save "$dta/budget_prod_eq_2007_2016.dta", replace


*** Quality

* Import Excel Files
clear
foreach num of numlist 2005/2010 2012/2016 {
	local trimestri "03 06 09 12"
	foreach mese of local trimestri {
		import excel "$data_budget/${qual}_`num'_`mese'.xls", firstrow clear
		save "$tempfiles/crusc_dir_`num'_`mese'.dta", replace
	}	
}

clear
foreach num of numlist 2011 {
	local trimestri "06 09 12"
	foreach mese of local trimestri {
		import excel "$data_budget/${qual}_`num'_`mese'.xls", firstrow clear
		save "$tempfiles/crusc_dir_`num'_`mese'.dta", replace
	}	
}

* Append
clear
foreach num of numlist 2005/2010 2012/2016 {
	local trimestri "03 06 09 12"
	foreach mese of local trimestri {
		append using "$tempfiles/crusc_dir_`num'_`mese'.dta"
	}	
}

foreach num of numlist 2011 {
	local trimestri "06 09 12"
	foreach mese of local trimestri {
		append using "$tempfiles/crusc_dir_`num'_`mese'.dta"
	}	
}

drop if codice_sede==""

destring qual_pp, replace
destring prod, replace

egen sede_num=group(sede)
local var_list "qual_pp"	
		foreach var of local var_list{
			destring `var', replace
		}

gen quart=1 if mese==3
replace quart=2 if mese==6
replace quart=3 if mese==9
replace quart=4 if mese==12

gen year_quarter=yq(anno, quart)

xtset sede_num year_quarter

local to_change "qual_pp"
foreach var of local to_change {
	rename `var' `var'_old 
	gen `var'=.
	replace `var'=`var'_old if mese==3 & anno!=2011
	replace `var'=2*`var'_old- L.`var'_old  if mese==6 & anno!=2011
	replace `var'=3*`var'_old- 2*L.`var'_old  if mese==9 & anno!=2011
	replace `var'=4*`var'_old- 3*L.`var'_old  if mese==12 & anno!=2011
} 

foreach var of local to_change {
	replace `var'=`var'_old if mese==6 & anno==2011
	replace `var'=3*`var'_old- 2*L.`var'_old  if mese==9 & anno==2011
	replace `var'=4*`var'_old- 3*L.`var'_old  if mese==12 & anno==2011
} 

keep  anno codice_sede qual_pp sede year_quarter mese

save "$dta/crusc_dir_v2_trimesters_adjusted.dta", replace

* Import
clear
foreach num of numlist 2017 {
	local trimestri "03 06"
	foreach mese of local trimestri {
		import excel "$data_budget/${qual}_`num'_`mese'.xls", firstrow clear
		save "$tempfiles/crusc_dir_`num'_`mese'.dta", replace
	}	
}

* Append
clear
foreach num of numlist 2017 {
	local trimestri "03 06"
	foreach mese of local trimestri {
		append using "$tempfiles/crusc_dir_`num'_`mese'.dta"
	}	
}

drop if codice_sede==""

destring qual_pp, replace
destring prod, replace

egen sede_num=group(sede)
local var_list "qual_pp prod"	
		foreach var of local var_list{
			destring `var', replace
}

gen quart=1 if mese==3
replace quart=2 if mese==6
replace quart=3 if mese==9
replace quart=4 if mese==12

gen year_quarter=yq(anno, quart)

xtset sede_num year_quarter

local to_change "qual_pp"
foreach var of local to_change {
	rename `var' `var'_old 
	gen `var'=.
	replace `var'=`var'_old if mese==3 & anno!=2011
	replace `var'=2*`var'_old- L.`var'_old  if mese==6 & anno!=2011
	replace `var'=3*`var'_old- 2*L.`var'_old  if mese==9 & anno!=2011
	replace `var'=4*`var'_old- 3*L.`var'_old  if mese==12 & anno!=2011
} 

keep  anno codice_sede qual_pp sede year_quarter mese

gen quarter=1 if mese==3
replace quarter=2 if mese==6
save "$dta/crusc_dir_v2_trimesters_adjusted_2017.dta", replace

*** Budget by product

* Import Excel Files
clear
local quarters_list "03 06 09 12"
foreach year of numlist 2011/2016 {
	foreach quart of local quarters_list {
		import excel "$data_budget/${budged_prod_lord_proclinea}_`year'_`quart'.xls", firstrow clear
		save "$tempfiles/budged_prod_lord_proclinea_`year'_`quart'.dta", replace
	}
}

local quarters_list "03 06"
foreach year of numlist 2017 {
	foreach quart of local quarters_list {
		import excel "$data_budget/${budged_prod_lord_proclinea}_`year'_`quart'.xls", firstrow clear
		save "$tempfiles/budged_prod_lord_proclinea_`year'_`quart'.dta", replace
	}
}

* Append
clear
local quarters_list "03 06 09 12"
foreach year of numlist 2011/2016 {
	foreach quart of local quarters_list {
		append using "$tempfiles/budged_prod_lord_proclinea_`year'_`quart'.dta"

	}
}

local quarters_list "03 06"
foreach year of numlist 2017 {
	foreach quart of local quarters_list {
		append using "$tempfiles/budged_prod_lord_proclinea_`year'_`quart'.dta"

	}
}


replace sede="ROMA CASILINO PRENESTINO - dir" if sede=="ROMA CASILINO PRENEST. - dir"
gen reg=1 if sede=="PIEMONTE" | sede=="VALLE D'AOSTA" | sede=="LIGURIA" | sede=="LOMBARDIA" | ///
		sede=="VENETO" | sede=="TRENTINO ALTO ADIGE" | sede=="FRIULI VENEZIA GIULIA" | sede=="EMILIA ROMAGNA" | sede=="ABRUZZO" | ///
		sede=="MOLISE" | sede=="MARCHE" | sede=="TOSCANA" | sede=="LAZIO" | sede=="PUGLIA" | ///
		sede=="CAMPANIA" | sede=="BASILICATA" | sede=="CALABRIA" | sede=="SICILIA" | sede=="SARDEGNA" | ///
		sede=="UMBRIA" 
replace reg=1 if sede=="NAZIONALE"		
gen sede_temp= sede if reg==1

replace cod_sede_budg="510103" if cod_sede_budg=="510010"
replace cod_sede_budg="510502" if cod_sede_budg=="510003"
replace cod_sede_budg="069000" if cod_sede_budg=="060001"
replace cod_sede_budg="810009" if cod_sede_budg=="810010"

* 1:1 mapping between sedi and cod_sede_budg
preserve
	tempfile sedi_nome
	save `sedi_nome', emptyok

	keep sede cod_sede_budg
	duplicates drop	

	gen dir=1 if substr(sede, -3, .)=="dir"
	gen l=length(cod_sede_budg)	

	replace sede="ANDRIA - dir" if cod_sede_budg=="0901"
	replace sede="OZZANO DELL'EMILIA" if cod_sede_budg=="130006"
	replace sede="SEREGNO" if cod_sede_budg=="490104"
	replace sede="MILANO MISSORI" if cod_sede_budg=="490300"
	replace sede="MILANO FIORI" if cod_sede_budg=="490400"
	replace sede="MILANO CORVETTO" if cod_sede_budg=="490500"
	replace sede="CASTELLAMMARE DI STABIA - fil" if cod_sede_budg=="51010"
	replace sede="NOLA - fil" if cod_sede_budg=="51020"
	replace sede="ARZANO-FRATTAMAGGIORE" if cod_sede_budg=="510300"
	replace sede="NAPOLI CAMALDOLI" if cod_sede_budg=="510500"
	replace sede="GUIDONIA-TIVOLI" if cod_sede_budg=="701301"
	replace sede="LINGOTTO" if cod_sede_budg=="810008"
	replace sede="VIGEVANO TO" if cod_sede_budg=="810011"
	replace sede="GIULIO CESARE" if cod_sede_budg=="810014"
	replace sede="SETTIMO TORINESE" if cod_sede_budg=="810300"
	replace sede="MEDIO FRIULI" if cod_sede_budg=="860005"
	replace sede="MESTRE 1" if cod_sede_budg=="880004"

	replace sede="SENORBI'" if cod_sede_budg=="170003"
	replace sede="AG. URBANA DI CAGLIARI" if cod_sede_budg=="170007"
	replace sede="CARBONAIA" if cod_sede_budg=="170101"
	replace sede="NAPOLI - fil" if cod_sede_budg=="51000"
	replace sede="FC CAMALDOLI VOMERO - fil" if cod_sede_budg=="51050"
	replace sede="FC POZZUOLI" if cod_sede_budg=="51060"
	replace sede="ROMA - fil" if cod_sede_budg=="70000"
	replace sede="FC SUD-OVEST EUR - fil" if cod_sede_budg=="70010"
	replace sede="FC ROMA MONTESACRO - fil" if cod_sede_budg=="70040"
	replace sede="FC SUD-EST CASILINO - fil" if cod_sede_budg=="70090"
	replace sede="FC ROMA TUSCOLANO" if cod_sede_budg=="70100"
	replace sede="FC NORD-OVEST FLAMINIO - fil" if cod_sede_budg=="70140"
	
	replace cod_sede_budg="9999" if cod_sede_budg=="999900"
	drop l 
	duplicates drop
	duplicates tag  cod_sede_budg, gen(t1)
	drop if cod_sede_budg=="9999"
	assert t1==0
	drop t1

	save `sedi_nome', replace	
restore

	drop sede
	merge m:1 cod_sede_budg using `sedi_nome'
	replace sede="9999" if reg==1
	assert _merge!=2
	drop _merge
	drop reg sede_temp
	gen quart=1 if q==3
	replace quart=2 if q==06
	replace quart=3 if q==9
	replace quart=4 if q==12
	gen year_quarter=yq(anno, quart)
	format year_quarter %tq 

drop if cod_sede_budg=="9999" | cod_sede_budg=="999999" | cod_sede_budg=="999900" 

	
drop macro_cat
reshape wide pervenuto defLordo, i(cod_regione regione cod_sede_budg sede year_quart) j(cat_prod)

egen id=group(cod_sede_budg)
xtset id year_quarter

local to_change "pervenuto1 defLordo1 pervenuto2 defLordo2 pervenuto3 defLordo3 pervenuto4 defLordo4 pervenuto5 defLordo5 pervenuto6 defLordo6 pervenuto7 defLordo7 pervenuto8 defLordo8 pervenuto9 defLordo9 pervenuto10 defLordo10 pervenuto11 defLordo11 pervenuto12 defLordo12"
foreach var of local to_change {
	rename `var' `var'_old 
	gen L`var'_old=L.`var'_old 
	gen `var'=`var'_old - L`var'_old 
	replace `var'=`var'_old if q==3
	
	replace `var'=0 if `var'<0
}

drop *old id q dir anno quart

rename cod_sede_budg cod_sede_giu
replace cod_sede_giu="510301" if cod_sede_giu=="510502"
replace cod_sede_giu="510010" if cod_sede_giu=="510103"
replace cod_sede_giu="048001" if cod_sede_giu=="040001"

save "$dta/budged_prod_lord_cat_prod_2011_2017.dta", replace 

*** Collapse the the human resource budget data (FTE, absences, overtime, etc.) at the office-quarterly level
use "$dta/budget_abcc_2007_2016.dta", clear
merge 1:1 cod_sede_budg processo year_quarter using "$dta/budget_prod_lorda_2007_2016.dta"
assert _merge==3
drop _merge
collapse (sum) assenti defLordo defLordo_omog disp formaz forza forza_eq giac_fin giacenza pervenuto straord unita_temp ///
	, by(cod_sede_budg year_quarter anno quart)
save "$tempfiles/budg_abc_prod_lorda_sede_2007_2016.dta", replace

*** Hires, Fires, Sep

import excel "$raw/${personnel}.xlsx", ///
	sheet("${sheet}") firstrow clear
	
rename *, lower	

gen counter1=_n

expand 13
bys counter1: gen counter2=_n	
gen anno=counter2+2004

expand 4
bys counter1 anno: gen quart=_n
gen year_quarter=yq(anno, quart)
format year_quarter %tq

gen data_fine=datafine
replace data_fine=dataces if data_fine==.
format %tdnn/dd/CCYY data_fine

gen anno_inizio=year(dec_sede_giu)
gen anno_fine=year(data_fine)

gen mese_inizio=month(dec_sede_giu)
gen mese_fine=month(data_fine)
gen q_inizio=1 if mese_inizio<=3
replace q_inizio=2 if mese_inizio>=4 & mese_inizio<=6
replace q_inizio=3 if mese_inizio>=7 & mese_inizio<=9
replace q_inizio=4 if mese_inizio>=10 & mese_inizio<=12

gen q_fine=1 if mese_fine<=3
replace q_fine=2 if mese_fine>=4 & mese_fine<=6
replace q_fine=3 if mese_fine>=7 & mese_fine<=9
replace q_fine=4 if mese_fine>=10 & mese_fine<=12

gen anno_mese_inizio=yq(anno_inizio, q_inizio)
format anno_mese_inizio %tq
gen anno_mese_fine=yq(anno_fine, q_fine)
format anno_mese_fine %tq

gen to_keep=1 if year_quarter>=anno_mese_inizio & year_quarter<=anno_mese_fine

drop if to_keep!=1
drop to_keep counter2 anno_fine anno_inizio

duplicates tag cod_matr year_quarter, gen(tag1)

gen begin=dec_sede_giu if year_quarter==anno_mese_inizio
replace begin=mdy(1,1,anno) if begin==. & quart==1
replace begin=mdy(4,1,anno) if begin==. & quart==2
replace begin=mdy(7,1,anno) if begin==. & quart==3
replace begin=mdy(10,1,anno) if begin==. & quart==4

gen end=data_fine if year_quarter==anno_mese_fine
replace end=mdy(3,31,anno) if end==. & quart==1
replace end=mdy(6,30,anno) if end==. & quart==2
replace end=mdy(9,30,anno) if end==. & quart==3
replace end=mdy(12,31,anno) if end==. & quart==4

format %tdnn/dd/CCYY begin
format %tdnn/dd/CCYY end 

gen length=end-begin+1 
bys cod_matr year_quarter: egen max_length=max(length) 
drop if max_length!=length	


drop tag1
duplicates tag cod_matr year_quarter, gen(tag1)
bys cod_matr year_quarter (dec_sede_giu): gen obs=_n
drop if obs>1 & tag1>0

drop tag1
duplicates tag cod_matr year_quarter, gen(tag1)
assert tag1==0 
drop tag1

drop data_fine mese_inizio mese_fine q_inizio q_fine anno_mese_inizio anno_mese_fine begin end length max_length obs 

gen data_ass=datapass
replace data_ass=datass if data_ass==.

gen anno_ass=year(data_ass)
gen mese_ass=month(data_ass)

gen quarter_ass=1 if mese_ass<=3
replace quarter_ass=2 if mese_ass>=4 & mese_ass<=6
replace quarter_ass=3 if mese_ass>=7 & mese_ass<=9
replace quarter_ass=4 if mese_ass>=10 & mese_ass<=12

gen year_quarter_ass=yq(anno_ass, quarter_ass)
format year_quarter_ass %tq

gen assunzione=1 if year_quarter_ass==year_quarter & (descrass!="L.214/11 ART. 21 -INPDAP" & descrass!="L.214/11 ART.21 -ENPALS" & descrass!="INCORPORAZIONE ALTRO ENTE")

bys cod_matr (year_quarter): gen obs=_n
bys cod_matr (year_quarter): gen obs2=_N
bys cod_matr (year_quarter): gen cambio_sede_in=1 if cod_sede_giu!=cod_sede_giu[_n-1] & obs!=1 
bys cod_matr (year_quarter): gen cambio_sede_out=1 if cod_sede_giu!=cod_sede_giu[_n+1] & obs!=obs2

bys cod_matr (year_quarter): gen Lcod_sede_giu=cod_sede_giu[_n-1]
bys cod_matr (year_quarter): gen Fcod_sede_giu=cod_sede_giu[_n+1]

gen pass_inpdap=1 if year_quarter_ass==year_quarter & (descrass=="L.214/11 ART. 21 -INPDAP" | descrass=="L.214/11 ART.21 -ENPALS" | descrass=="INCORPORAZIONE ALTRO ENTE")

gen anno_cess=year(datacess)
gen mese_cess=month(dataces)

gen quarter_cess=1 if mese_cess<=3
replace quarter_cess=2 if mese_cess>=4 & mese_cess<=6
replace quarter_cess=3 if mese_cess>=7 & mese_cess<=9
replace quarter_cess=4 if mese_cess>=10 & mese_cess<=12

gen year_quarter_cess=yq(anno_cess, quarter_cess)
format year_quarter_cess %tq

gen sep=1 if year_quarter_cess==year_quarter
gen age_cess=anno_cess-year(datanasc)
gen sep_pens_nc=1 if sep==1 & descrcess=="LIMITE DI ETA" & age_cess<67
replace sep_pens_nc=1 if sep==1 & descrcess=="DIMISSIONI VOLONTARIE" & age_cess>=60
gen fires=1 if sep==1 & (descrcess=="LICENZIAMENTO CON PREAVVISO" | descrcess=="LICENZIAMENTO SENZA PREAVVISO")
bys cod_matr (year_quarter): gen arrivo=1 if cod_sede_giu!=cod_sede_giu[_n-1] & year_quarter!=180
bys cod_matr (year_quarter): gen uscita=1 if cod_sede_giu!=cod_sede_giu[_n+1] & obs!=obs2 & year_quarter!=231

replace cod_sede_giu="040000" if cod_sede_giu=="048000"
replace des_sede_giu="AOSTA" if cod_sede_giu=="040000"
replace des_tipo="" if cod_sede_giu=="040000"

drop if des_tipo=="DIREZIONE CENTRALE" | des_tipo=="DIREZIONE REGIONALE" | des_tipo=="PROGETTO" ///
	| des_tipo=="STRUTTURA SOCIALE" | des_tipo=="UFFICIO DI SEGRETERIA" | des_tipo=="UFFICIO DI SUPPORTO ORGANI" ///
	| des_tipo=="DESCRIZIONE INESISTENTE"

save "$dta/sede_giuridica_2005_2017_quarterly.dta", replace

gen begin_quarter=mdy(1,1,anno) if quart==1
replace begin_quarter=mdy(4,1,anno) if quart==2
replace begin_quarter=mdy(7,1,anno) if quart==3
replace begin_quarter=mdy(10,1,anno) if quart==4

gen end_quarter=mdy(3,31,anno) if quart==1
replace end=mdy(6,30,anno) if quart==2
replace end=mdy(9,30,anno) if quart==3
replace end=mdy(12,31,anno) if quart==4

format %tdnn/dd/CCYY begin_quarter
format %tdnn/dd/CCYY end_quarter

gen length_quarter=end_quarter-begin_quarter+1 

bys cod_matr (year_quarter): gen end_dec=dec_sede_giu[_n+1]
format %tdnn/dd/CCYY end_dec
gen move=1 if dec_sede_giu!=end_dec
replace move=. if year_quarter==231
bys cod_matr (year_quarter): gen nn=_n

gen begin=dec_sede_giu if  dec_sede_giu>begin_quarter
replace begin=begin_quarter if begin==.
format %tdnn/dd/CCYY begin

gen end=end_quarter
replace end=end_dec if move==1
format %tdnn/dd/CCYY end

gen length=end-begin+1
replace length=length_quarter if length>length_quarter
gen share_time=length/length_quarter


gen proxy_production=1 if descprofilo=="B1 / AMMINISTRATIVO" | descprofilo=="B1 / AMMINISTRATIVO F.L." | ///
	descprofilo=="B2 / AMMINISTRATIVO" | descprofilo=="B3 / AMMINISTRATIVO" | descprofilo=="C1 / AMMINISTRATIVO" | ///
	descprofilo=="C1 / AMMINISTRATIVO T.D." | descprofilo=="C2 / AMMINISTRATIVO" | descprofilo=="C3 / AMMINISTRATIVO" | ///
	descprofilo=="C4 / AMMINISTRATIVO" | descprofilo=="C5 / AMMINISTRATIVO"

gen dirigente=1 if descprofilo=="DIRETTORE DI DIVISIONE" | descprofilo=="DIRIG. ART. 19 CO.6 INC. DIRIG." | ///
	descprofilo=="DIRIG. ART. 19 CO.6 INC. LIV.GEN" | descprofilo=="DIRIGENTE PRIMA FASCIA" | descprofilo=="DIRIGENTE SECONDA F. INC.LIV.GEN" | ///
	descprofilo=="DIRIGENTE SECONDA FASCIA AMM."

gen assunzione_p=assunzione if proxy_production==1
gen fires_p=fires if proxy_production==1
gen cambio_sede_in_p=cambio_sede_in if proxy_production==1
gen cambio_sede_out_p=cambio_sede_out if proxy_production==1
gen sep_pens_nc_p=sep_pens_nc if proxy_production==1

collapse (sum) arrivo uscita sep* assunzione* fires* cambio_sede* , ///
	by(year_quarter cod_sede_giu)

compress
save "$dta/hires_sep_quarterly_sede.dta", replace

*** Activity
import excel "$raw/${personnel}.xlsx", ///
sheet("${sheet}") firstrow clear
rename *, lower	

gen counter1=_n

bys cod_matr (decatt): gen begin_spell=codatt!=codatt[_n-1]
bys cod_matr (decatt): gen missing_att=1 if begin_spell==1 & decatt>datafineat[_n-1]+1

replace descratt=strtrim(descratt)

keep if descratt=="DIRET. SUB-PROVINCIALE REGGENTE" | descratt=="DIRETTORE AREA METROPOLITANA" | ///
	descratt=="DIRETTORE COORD. METROPOLITANO" | descratt=="DIRETTORE FILIALE COORDINAMENTO" | ///
	descratt=="DIRETTORE FILIALE METROPOLITANA" | 	descratt=="DIRETTORE PROVINCIALE" | ///
	descratt=="DIRETTORE PROVINCIALE AD INTERIM" | descratt=="DIRETTORE PROVINCIALE REGGENTE" | ///
	descratt=="DIRETTORE SUB- PROVINCIALE" | descratt=="DIRETTORE SUB-PROVIN. AD INTERIM" | ///
	descratt=="DIRETTORE DI AGENZIA URBANA" | ///	
	descratt=="DIRETTORE DI CENTRO OPERATIVO" | descratt=="DIRETTORE SUB-PROVIN. AD INTERIM" | ///
	descratt=="RESP. DI AGENZIA ALL.6 C.I.2001" | descratt=="RESP.AGENZIA FLUSSI CONT." | ///
	descratt=="RESP.AGENZIA PREST. E SER. INDIV" | descratt=="RESP.DI AGENZIA INT.SPERIM." | ///
	descratt=="RESP.DI AGENZIA COMP.SPERIM." | descratt=="RESPONSABILE AGENZIA INTERNA" | ///
	descratt=="RESPONSABILE AGENZIA COMPLESSA" | descratt=="RESP. DI AGENZIA"

expand 13
bys counter1: gen counter2=_n	
gen anno=counter2+2004

gen anno_inizio=year(decatt)
gen anno_fine=year(datafineat)

gen to_keep=1 if anno>=anno_inizio & anno<=anno_fine

drop if to_keep!=1

duplicates tag cod_matr anno, gen(tag1)
bys cod_matr anno (decatt): gen counter3=_n if tag1>0

gen mese_begin=month(decatt) if anno==year(decatt)
replace mese_begin=1 if mese_begin==.
gen mese_end=month(datafineat) if anno==year(datafineat)
replace mese_end=12 if mese_end==. 
gen length=mese_end-mese_begin+1 // I need to do +1 because I want to count all months including the first
bys cod_matr anno: egen max_length=max(length) 
drop if max_length!=length

duplicates tag  cod_matr anno, gen(tag2)
gen b=1 if descratt=="DIRETTORE PROVINCIALE"
bys cod_matr anno: egen bb=total(b)
gen to_drop=1 if tag2>0 & bb>0 & descratt!="DIRETTORE PROVINCIALE"
drop if to_drop==1
drop tag2
duplicates tag  cod_matr anno, gen(tag2)

bys cod_matr anno (decatt): gen counter4=_n
bys cod_matr anno (decatt): egen counter4_max=max(counter4)
replace to_drop=1 if counter4!=counter4_max & tag2>0 & tag2==bb-1
drop if to_drop==1
drop tag2 b bb 
duplicates tag  cod_matr anno, gen(tag2)

replace descratt="RESP. DI AGENZIA" if (descratt=="DIRETTORE DI AGENZIA URBANA" | ///	
	descratt=="DIRETTORE DI CENTRO OPERATIVO" |  ///
	descratt=="RESP. DI AGENZIA ALL.6 C.I.2001" | ///
	descratt=="RESP.DI AGENZIA COMP.SPERIM."  | ///
	descratt=="RESPONSABILE AGENZIA COMPLESSA" ) & tag2>0

replace descratt="RESP. DI AGENZIA INTERNA" if (descratt=="RESP.AGENZIA FLUSSI CONT." | ///
	descratt=="RESP.AGENZIA PREST. E SER. INDIV" | descratt=="RESP.DI AGENZIA INT.SPERIM." |  ///
	descratt=="RESPONSABILE AGENZIA INTERNA") & tag2>0

replace descratt="DIRETTORE SUB-PROVIN" if (descratt=="DIRETTORE SUB- PROVINCIALE" | ///
	descratt=="DIRETTORE SUB-PROVIN. AD INTERIM" | descratt=="DIRETTORE FILIALE COORDINAMENTO") & tag2>0

gen b=1 if descratt=="DIRETTORE SUB-PROVIN"
bys cod_matr anno: egen bb=total(b)
replace to_drop=1 if tag2>0 & bb>0 & descratt!="DIRETTORE SUB-PROVIN"
drop if to_drop==1
drop tag2 
duplicates tag  cod_matr anno, gen(tag2)

replace to_drop=1 if counter4!=counter4_max & tag2>0 & tag2==bb-1
drop if to_drop==1
drop tag2 b bb 
duplicates tag  cod_matr anno, gen(tag2)

gen b=1 if descratt=="RESP. DI AGENZIA INTERNA"
bys cod_matr anno: egen bb=total(b)
replace to_drop=1 if tag2>0 & bb>0 & descratt!="RESP. DI AGENZIA INTERNA"
drop if to_drop==1
drop tag2
duplicates tag  cod_matr anno, gen(tag2)

replace to_drop=1 if counter4!=counter4_max & tag2>0 & tag2==bb-1
drop if to_drop==1
drop tag2 b bb 
duplicates tag  cod_matr anno, gen(tag2)

gen b=1 if descratt=="RESP. DI AGENZIA"
bys cod_matr anno: egen bb=total(b)
replace to_drop=1 if counter4!=counter4_max & tag2>0 & tag2==bb-1
drop if to_drop==1
drop tag2 b bb 
duplicates tag  cod_matr anno, gen(tag2)
assert tag2==0

save "$dta/attivita_2005_2017_managersonly.dta", replace


* Work Histories
use "$dta/sede_giuridica_2005_2017.dta", clear

bys cod_matr (anno dec_sede_giu): replace profilo=profilo[_n+1] if profilo=="" & profilo[_n+1]!=""
bys cod_matr (anno dec_sede_giu): replace profilo=profilo[_n+1] if profilo=="" & profilo[_n+1]!=""
bys cod_matr (anno dec_sede_giu): replace profilo=profilo[_n+1] if profilo=="" & profilo[_n+1]!=""
bys cod_matr (anno dec_sede_giu): replace descprofilo=descprofilo[_n+1] if descprofilo=="" & descprofilo[_n+1]!=""
bys cod_matr (anno dec_sede_giu): replace descprofilo=descprofilo[_n+1] if descprofilo=="" & descprofilo[_n+1]!=""
bys cod_matr (anno dec_sede_giu): replace descprofilo=descprofilo[_n+1] if descprofilo=="" & descprofilo[_n+1]!=""

merge m:1 cod_matr anno using "$dta/attivita_2005_2017_managersonly.dta", gen(m_att)
drop if m_att==2
replace descratt="" if decatt>datafine & decatt!=. & datafine!=.

drop annoass
gen annoass=year(datass)
gen anno_inizio_lavoro=year(datapass)
replace anno_inizio_lavoro=annoass if anno_inizio_lavoro==.


gen probl=1 if anno_inizio_lavoro>anno 
drop if probl==1 & m_prof==2

drop if m_prof==2

destring annocess, replace
drop if annocess<anno & annocess!=.

replace des_tipo="AGENZIA DI PRODUZIONE" if des_sede_giu=="AG. FIDENE (RM-MONTESACRO)"
replace des_tipo="AGENZIA DI PRODUZIONE" if des_sede_giu=="C.O. ISILI (NU)"
replace des_tipo="AGENZIA DI PRODUZIONE" if des_sede_giu=="C.O. LANGHIRANO (PR)"
replace des_tipo="AGENZIA DI PRODUZIONE" if des_sede_giu=="C.O. MEDE (PV)"
replace des_tipo="AGENZIA DI PRODUZIONE" if des_sede_giu=="C.O. NOVAFELTRIA (PS)"
replace des_tipo="AGENZIA DI PRODUZIONE" if des_sede_giu=="C.O. PIEVE DI SOLIGO (TV)"
replace des_tipo="AGENZIA DI PRODUZIONE" if des_sede_giu=="C.O. SOMMA VESUVIANA"
replace des_tipo="AGENZIA DI PRODUZIONE" if des_sede_giu=="C.O. TAVARNUZZE (FI)"
replace des_tipo="AGENZIA DI PRODUZIONE" if des_sede_giu=="RM-CENTRO"
replace des_tipo="AGENZIA DI PRODUZIONE" if des_sede_giu=="TERME DI BATTAGLIA (PD)"
replace des_tipo="AGENZIA DI PRODUZIONE" if des_sede_giu=="TO-SUD"

tab descratt if  des_tipo=="AGENZIA DI PRODUZIONE"
gen manager=1 if (descratt=="DIRETTORE DI AGENZIA URBANA" | descratt=="DIRETTORE DI CENTRO OPERATIVO" | ///
	descratt=="DIRETTORE PROVINCIALE" | descratt=="DIRETTORE SUB- PROVINCIALE" | descratt=="RESP. AGENZIA" | ///
	descratt=="RESP. DI AGENZIA ALL.6 C.I.2001" | descratt=="RESP.AGENZIA FLUSSI CONT." |  ///
	descratt=="RESP.AGENZIA PREST. E SER. INDIV" | descratt=="RESP.DI AGENZIA COMP.SPERIM." | ///
	descratt=="RESP.DI AGENZIA INT.SPERIM." |  descratt=="RESPONSABILE AGENZIA COMPLESSA" |  ///
	descratt=="RESPONSABILE AGENZIA INTERNA" | descratt=="RESP. DI AGENZIA" | ///
	descratt=="RESP. DI AGENZIA INTERNA" ) ///
	& des_tipo=="AGENZIA DI PRODUZIONE"
bys cod_sede anno: egen mm=total(manager) if des_tipo=="AGENZIA DI PRODUZIONE"
tab mm if des_tipo=="AGENZIA DI PRODUZIONE"

replace manager=1 if (descratt=="DIRETTORE DI AGENZIA URBANA" | descratt=="DIRETTORE DI CENTRO OPERATIVO" | ///
	descratt=="DIRETTORE PROVINCIALE" | descratt=="DIRETTORE SUB- PROVINCIALE" | descratt=="RESP. AGENZIA" | ///
	descratt=="RESP. DI AGENZIA ALL.6 C.I.2001" | descratt=="RESP.AGENZIA FLUSSI CONT." |  ///
	descratt=="RESP.AGENZIA PREST. E SER. INDIV" | descratt=="RESP.DI AGENZIA COMP.SPERIM." | ///
	descratt=="RESP.DI AGENZIA INT.SPERIM." |  descratt=="RESPONSABILE AGENZIA COMPLESSA" |  ///
	descratt=="RESPONSABILE AGENZIA INTERNA" | descratt=="RESP. DI AGENZIA"  | ///
	descratt=="DIRET. SUB-PROVINCIALE REGGENTE" | descratt=="DIRETTORE SUB-PROVIN" | ///
	descratt=="RESP. DI AGENZIA INTERNA") ///
	& des_tipo=="AGENZIA COMPLESSA"
drop mm	
bys cod_sede anno: egen mm=total(manager) if des_tipo=="AGENZIA COMPLESSA"
tab mm if des_tipo=="AGENZIA COMPLESSA"

replace manager=1 if (descratt=="DIRETTORE DI AGENZIA URBANA" | descratt=="DIRETTORE DI CENTRO OPERATIVO" | ///
	descratt=="DIRETTORE PROVINCIALE" | descratt=="DIRETTORE SUB- PROVINCIALE" | descratt=="RESP. AGENZIA" | ///
	descratt=="RESP. DI AGENZIA ALL.6 C.I.2001" | descratt=="RESP.AGENZIA FLUSSI CONT." |  ///
	descratt=="RESP.AGENZIA PREST. E SER. INDIV" | descratt=="RESP.DI AGENZIA COMP.SPERIM." | ///
	descratt=="RESP.DI AGENZIA INT.SPERIM." |  descratt=="RESPONSABILE AGENZIA COMPLESSA" |  ///
	descratt=="RESPONSABILE AGENZIA INTERNA" | descratt=="RESP. DI AGENZIA"  | ///
	descratt=="DIRET. SUB-PROVINCIALE REGGENTE" | descratt=="DIRETTORE SUB-PROVIN" | ///
	des_tipo=="AGENZIA COMPLESSA" | descratt=="DIRETTORE FILIALE COORDINAMENTO" | ///
	descratt=="DIRETTORE FILIALE METROPOLITANA" | descratt=="RESP. DI AGENZIA INTERNA") ///
	& des_tipo=="FILIALE DI COORDINAMENTO"
drop mm 	
bys cod_sede anno: egen mm=total(manager) if des_tipo=="FILIALE DI COORDINAMENTO"
tab mm if des_tipo=="FILIALE DI COORDINAMENTO"

replace manager=1 if (descratt=="DIRETTORE PROVINCIALE" | descratt=="DIRETTORE PROVINCIALE AD INTERIM" | ///
	descratt=="DIRETTORE PROVINCIALE REGGENTE"  )  ///
	& des_tipo=="DIREZIONE PROVINCIALE"
bys cod_sede anno: egen mmm=total(manager) if des_tipo=="DIREZIONE PROVINCIALE"
tab mmm if des_tipo=="DIREZIONE PROVINCIALE"

replace manager=1 if (descratt=="DIRETTORE SUB- PROVINCIALE" | descratt=="DIRETTORE SUB-PROVIN. AD INTERIM" | ///
	descratt=="DIRET. SUB-PROVINCIALE REGGENTE" | | descratt=="DIRETTORE SUB-PROVIN")  ///
	& des_tipo=="DIREZIONE PROVINCIALE" & mmm==0
drop mmm
bys cod_sede anno: egen mmm=total(manager) if des_tipo=="DIREZIONE PROVINCIALE"
tab mmm if des_tipo=="DIREZIONE PROVINCIALE"

replace manager=1 if (descratt=="DIRETTORE AREA METROPOLITANA" | descratt=="DIRETTORE FILIALE METROPOLITANA" | ///
	descratt=="DIRETTORE PROVINCIALE" | descratt=="DIRETTORE PROVINCIALE AD INTERIM" ) ///
	& des_tipo=="AREA METROPOLITANA"
drop mmm
bys cod_sede anno: egen mmm=total(manager) if des_tipo=="AREA METROPOLITANA"
tab mmm if des_tipo=="AREA METROPOLITANA"

drop mmm mm
bys cod_sede anno: egen mmm=total(manager) if des_tipo=="AGENZIA DI PRODUZIONE" | ///
	des_tipo=="AGENZIA COMPLESSA" | des_tipo=="FILIALE DI COORDINAMENTO" | ///
	des_tipo=="DIREZIONE PROVINCIALE" | des_tipo=="DIREZIONE PROVINCIALE" | ///
	des_tipo=="AREA METROPOLITANA"
tab mmm

gen cod_sede= cod_sede_giu
replace cod_sede="810401" if cod_sede_giu=="810009"
merge m:1 cod_sede anno using "$dta/attivita_2005_2017_managersonly_sede.dta"
drop if _merge==2

replace des_tipo="DIREZIONE PROVINCIALE" if des_sede_giu=="S.R. AOSTA"
replace des_sede_giu="AOSTA" if des_sede_giu=="S.R. AOSTA"
replace cod_sede_giu="040000" if des_sede_giu=="AOSTA"
keep if des_tipo=="AGENZIA COMPLESSA" | des_tipo=="AGENZIA DI PRODUZIONE"   | des_tipo=="AREA METROPOLITANA"  ///
	| des_tipo=="DIREZIONE PROVINCIALE" | des_tipo=="FILIALE DI COORDINAMENTO"

tab mmm

bys cod_sede anno: egen m_mean=mean(_merge)
gen b=(cod_matr==manager_id) if manager==1
tab b if m_mean==3
bys  cod_sede_giu anno: egen bb=total(b)
drop b bb


rename data_fine end_manager_spell
format %tdnn/dd/CCYY begin_manager_spell

gen id_temp=cod_matr if m_mean==1 & mmm==1 & manager==1
bys cod_sede anno: egen id_temp2=mean(id_temp)
replace manager_id=id_temp2 if manager_id==. 
gen data_fine_att_temp=datafineat if m_mean==1 & mmm==1 & manager==1
replace data_fine_att_temp=datacess if data_fine_att_temp==. & m_mean==1 & mmm==1 & manager==1
bys cod_sede anno: egen data_fine_att_temp2=mean(data_fine_att_temp)
replace end_manager_spell=data_fine_att_temp2 if end_manager_spell==.
format %tdnn/dd/CCYY end_manager_spell
format %tdnn/dd/CCYY data_fine_att_temp2
format %tdnn/dd/CCYY data_fine_att_temp 
gen data_inizio_att_temp=decatt if m_mean==1 & mmm==1 & manager==1
bys cod_sede anno: egen data_inizio_att_temp2=mean(data_inizio_att_temp)
replace begin_manager_spell=data_inizio_att_temp2 if begin_manager_spell==.
format %tdnn/dd/CCYY begin_manager_spell
format %tdnn/dd/CCYY data_inizio_att_temp2
format %tdnn/dd/CCYY data_inizio_att_temp 

bys cod_sede anno: egen mmm2=mean(manager_id)
bys cod_sede anno (decatt): gen counter5=_n if manager==1
bys cod_sede anno: egen max_counter5=max(counter5)
drop id_temp* data_fine_att_temp* data_inizio_att_temp*
gen id_temp=cod_matr if mmm2==. &  mmm==2 & manager==1 & counter5==max_counter5
bys cod_sede anno: egen id_temp2=mean(id_temp)
replace manager_id=id_temp2 if manager_id==. 
gen data_fine_att_temp=datafineat if mmm2==. &  mmm==2 & manager==1 & counter5==max_counter5
replace data_fine_att_temp=datacess if mmm2==. &  mmm==2 & manager==1 & counter5==max_counter5 & data_fine_att_temp==. 
bys cod_sede anno: egen data_fine_att_temp2=mean(data_fine_att_temp)
replace end_manager_spell=data_fine_att_temp2 if end_manager_spell==.
format %tdnn/dd/CCYY end_manager_spell
format %tdnn/dd/CCYY data_fine_att_temp2
format %tdnn/dd/CCYY data_fine_att_temp 
gen data_inizio_att_temp=decatt if mmm2==. &  mmm==2 & manager==1 & counter5==max_counter5
bys cod_sede anno: egen data_inizio_att_temp2=mean(data_inizio_att_temp)
replace begin_manager_spell=data_inizio_att_temp2 if begin_manager_spell==.
format %tdnn/dd/CCYY begin_manager_spell
format %tdnn/dd/CCYY data_inizio_att_temp2
format %tdnn/dd/CCYY data_inizio_att_temp 

drop  counter5 max_counter5 id_temp id_temp2 data_fine_att_temp data_fine_att_temp2 data_inizio_att_temp ///
	data_inizio_att_temp2 mmm2
bys cod_sede anno: egen mmm2=mean(manager_id)

count if mmm==3 & mmm2==.
replace manager=. if des_sede_g=="RM-CASILINO-PRENESTINO" & anno==2005 & cod_matr==36073
replace manager=. if des_sede_g=="RM-CASILINO-PRENESTINO" & anno==2005 & cod_matr==6608
gen id_temp=cod_matr if mmm==3 & mmm2==. & manager==1
bys cod_sede anno: egen id_temp2=mean(id_temp)
replace manager_id=id_temp2 if manager_id==.
gen data_fine_att_temp=datafineat if mmm==3 & mmm2==. & manager==1
replace data_fine_att_temp=datacess if mmm==3 & mmm2==. & manager==1
bys cod_sede anno: egen data_fine_att_temp2=mean(data_fine_att_temp)
replace end_manager_spell=data_fine_att_temp2 if end_manager_spell==.
format %tdnn/dd/CCYY end_manager_spell
format %tdnn/dd/CCYY data_fine_att_temp2
format %tdnn/dd/CCYY data_fine_att_temp 

gen data_inizio_att_temp=decatt if mmm==3 & mmm2==. & manager==1
bys cod_sede anno: egen data_inizio_att_temp2=mean(data_inizio_att_temp)
replace begin_manager_spell=data_inizio_att_temp2 if begin_manager_spell==.
format %tdnn/dd/CCYY begin_manager_spell
format %tdnn/dd/CCYY data_inizio_att_temp2
format %tdnn/dd/CCYY data_inizio_att_temp 

drop begin end m_prof counter1 begin_spell missing_att counter2 anno_inizio anno_fine to_keep tag1 ///
	counter3 mese_begin mese_end length max_length to_drop counter4 counter4_max tag2 m_att probl ///
	_merge m_mean mmm2 id_temp id_temp2 id_temp2 data_fine_att_temp data_fine_att_temp2 ///
	data_inizio_att_temp data_inizio_att_temp2 mmm

duplicates tag cod_m anno , gen(tag1)
set seed 1234 
gen u=runiform()
bys cod_matr: egen max_u=max(u)
gen sede_keep=des_sede_giu if max_u==u & tag1>0 
bys cod_matr: replace sede_keep=sede_keep[_n-1] if sede_keep=="" & sede_keep[_n-1]!="" & tag1>0
bys cod_matr: replace sede_keep=sede_keep[_n-1] if sede_keep=="" & sede_keep[_n-1]!="" & tag1>0
bys cod_matr: replace sede_keep=sede_keep[_n+1] if sede_keep=="" & sede_keep[_n+1]!="" & tag1>0
bys cod_matr: replace sede_keep=sede_keep[_n+1] if sede_keep=="" & sede_keep[_n+1]!="" & tag1>0
bys cod_matr: replace sede_keep=sede_keep[_n+1] if sede_keep=="" & sede_keep[_n+1]!="" & tag1>0
bys cod_matr: replace sede_keep=sede_keep[_n+1] if sede_keep=="" & sede_keep[_n+1]!="" & tag1>0
bys cod_matr: replace sede_keep=sede_keep[_n+1] if sede_keep=="" & sede_keep[_n+1]!="" & tag1>0
bys cod_matr: replace sede_keep=sede_keep[_n+1] if sede_keep=="" & sede_keep[_n+1]!="" & tag1>0
bys cod_matr: replace sede_keep=sede_keep[_n+1] if sede_keep=="" & sede_keep[_n+1]!="" & tag1>0
bys cod_matr: replace sede_keep=sede_keep[_n+1] if sede_keep=="" & sede_keep[_n+1]!="" & tag1>0
bys cod_matr: replace sede_keep=sede_keep[_n+1] if sede_keep=="" & sede_keep[_n+1]!="" & tag1>0
bys cod_matr: replace sede_keep=sede_keep[_n+1] if sede_keep=="" & sede_keep[_n+1]!="" & tag1>0
bys cod_matr: replace sede_keep=sede_keep[_n+1] if sede_keep=="" & sede_keep[_n+1]!="" & tag1>0
bys cod_matr: replace sede_keep=sede_keep[_n+1] if sede_keep=="" & sede_keep[_n+1]!="" & tag1>0
bys cod_matr: replace sede_keep=sede_keep[_n+1] if sede_keep=="" & sede_keep[_n+1]!="" & tag1>0
bys cod_matr: replace sede_keep=sede_keep[_n+1] if sede_keep=="" & sede_keep[_n+1]!="" & tag1>0
bys cod_matr: replace sede_keep=sede_keep[_n+1] if sede_keep=="" & sede_keep[_n+1]!="" & tag1>0
bys cod_matr: replace sede_keep=sede_keep[_n+1] if sede_keep=="" & sede_keep[_n+1]!="" & tag1>0
gen to_drop=1 if tag1>0 & sede_keep!=des_sede_giu
gen to_keep=1 if tag1>0 & sede_keep==des_sede_giu
bys cod_matr anno: egen too=total(to_keep)
bys cod_matr anno: egen max_u2=max(u)
replace to_drop=. if tag1>0 & too==0 & u==max_u2
replace to_keep=1 if tag1>0 & too==0 & u==max_u2
drop too
bys cod_matr anno: egen too=total(to_keep)
assert too==1 if tag1>0
drop if to_drop==1

drop tag1 
duplicates tag cod_m anno , gen(tag1)
assert tag1==0
compress
save "$dta/storie_lavorative_2005_2017.dta", replace


*** Switches
use "$dta/storie_lavorative_2005_2017.dta", clear
bys cod_sede_giu: egen first_year=min(anno)
bys cod_sede_giu: egen last_year=max(anno)
keep cod_sede_giu *_year des_sede_giu
duplicates drop

expand 13
bys cod_sede_giu: gen counter2=_n	
gen anno=counter2+2004

expand 4
bys cod_sede_giu anno: gen quart=_n
gen year_quarter=yq(anno, quart)
format year_quarter %tq
gen cod_sede=cod_sede_giu
merge 1:1 cod_sede year_quarter using "$dta/attivita_2005_2017_managersonly_sede_quarterly_part1_2manag.dta"
drop if _merge==2
drop _merge

merge 1:1 cod_sede year_quarter using "$dta/attivita_2005_2017_managersonly_sede_quarterly_part1_aosta_2manag.dta", update
assert _merge!=2
drop _merge

rename manager_id manager_id2

merge 1:1 cod_sede_giu year_quarter using "$dta/attivita_2005_2017_managersonly_sede_quarterly_part2_2manag.dta", update
assert _merge!=2
drop _merge

merge 1:1 cod_sede_giu year_quarter using "$dta/attivita_2005_2017_managersonly_sede_quarterly_part2_aosta_2manag.dta", update
assert _merge!=2
drop _merge

replace manager_id2=manager_id if manager_id2==.

replace manager_id2=23257 if cod_sede_giu=="010002" & year_quarter==205

keep  cod_sede_giu des_sede_giu year_quarter manager_id2 descratt

egen cod_sede_giu_num=group(cod_sede_giu)
xtset cod_sede_giu_num year_quarter

replace  manager_id2=L.manager_id2 if manager_id2==. & L.manager_id2!=. & F.manager_id2!=.
drop cod_sede_giu_num

gen anno=yofd(dofq(year_quarter))
gen quarter=quarter(dofq(year_quarter))

gen exo=1 if descratt=="DIRETTORE PROVINCIALE"  | descratt=="DIRETTORE PROVINCIALE AD INTERIM"  ///
	| descratt=="DIRETTORE PROVINCIALE REGGENTE" | descratt=="DIRETTORE SUB- PROVINCIALE" ///
	| descratt=="DIRETTORE REGIONALE" | descratt=="DIRETTORE SUB-PROVIN. AD INTERIM" ///
	| descratt=="DIRET. SUB-PROVINCIALE REGGENTE" | descratt=="DIRETTORE AREA METROPOLITANA" ///
	| descratt=="DIRETTORE FILIALE COORDINAMENTO" | descratt=="DIRETTORE FILIALE METROPOLITANA"
replace exo=0 if exo==.
bys cod_sede_giu: egen exo_mean=mean(exo)
gen exo_final=(exo_mean>0.1) 
gen exo_strict=(exo_mean>=0.75) 
replace exo_strict=1 if cod_sede_giu=="069000"
replace exo_strict=1 if cod_sede_giu=="492700"
replace exo_strict=1 if cod_sede_giu=="790000"
replace exo_strict=1 if cod_sede_giu=="810000"
drop exo exo_mean

save "$dta/managers_switches_2005_2017_quarters_quarterlydata_v3.dta", replace


*** Manager characteristics
use "$dta/managers_switches_2005_2017_quarters_quarterlydata_v3.dta", clear
gen cod_matr=manager_id2
merge m:1 cod_matr using "$dta/anagrafica_2005_2017.dta"

replace ripartizionegeografica="Centro" if codcomnasc=="F026"
replace siglaautomobilistica="FE" if codcomnasc=="F026"
replace ripartizionegeografica="Sud" if codcomnasc=="F888"
replace siglaautomobilistica="CZ" if codcomnasc=="F888"
replace ripartizionegeografica="Centro" if codcomnasc=="G654"
replace siglaautomobilistica="RE" if codcomnasc=="G654"
replace ripartizionegeografica="Sud" if codcomnasc=="H742"
replace siglaautomobilistica="CZ" if codcomnasc=="H742"
replace ripartizionegeografica="Sud" if codcomnasc=="I334"
replace siglaautomobilistica="CZ" if codcomnasc=="I334"
replace ripartizionegeografica="Isole" if codcomnasc=="I719"
replace siglaautomobilistica="OR" if codcomnasc=="I719"
replace ripartizionegeografica="Nord-est" if codcomnasc=="L896"
replace siglaautomobilistica="TN" if codcomnasc=="L896"
replace ripartizionegeografica="Estero o Missing" if ripartizionegeografica==""

replace first_year_manager=2017 if manager_id2==33003

drop anno quarter
gen anno=yofd(dofq(year_quarter))
gen quarter=quarter(dofq(year_quarter))

gen anno_nasc=year(datanasc)
gen age=anno-anno_nasc

gen male=(sesso=="M")
gen geo_center=(ripartizionegeografica=="Centro")
gen geo_isl=(ripartizionegeografica=="Isole")
gen geo_nw=(ripartizionegeografica=="Nord-ovest")
gen geo_ne=(ripartizionegeografica=="Nord-est")
gen geo_sud=(ripartizionegeografica=="Sud")
gen geo_oth=(ripartizionegeografica=="Estero o Missing")

destring annoass, replace
gen experience=anno-annoass

bys cod_sede_giu manager_id2: gen experience_office=_N
replace experience_office=. if manager_id2==.
replace experience_office=experience_office/4 

gen d2=first_year_manager-annoass
replace d2=0 if d2<0
gen private=(d2<5 & datapass!=.)
gen private2=(d2<10 & datapass!=.)

label var male "Male"
label var age "Age"
label var geo_ne "Nort-East"
label var geo_nw "North-West"
label var geo_center "Center" 
label var geo_sud "South"
label var geo_isl "Island"
label var geo_oth "Abroad"
label var experience "Experience Publ. Sec."
label var d2 "Years to become a Manager"
label var private "From Private Sector (5y)"
label var private2 "From Private Sector (10y)"
label var experience_office "Tenure (years)"

replace educ=6 if educ==. & cod_matr!=.
tab educ, gen(educ_d)
label var educ_d1 "High-School Diploma"
label var educ_d2 "Econ, Business, and Admin"
label var educ_d3 "Sci, Engen,  Math, and Stat"
label var educ_d4 "Social Sciences and Humanities"
label var educ_d5 "Law"
label var educ_d6 "Missing Educ"

bys des_sede_giu (anno quarter): gen switch=1 if manager_id2!=manager_id2[_n-1]
gen sw2=switch
replace sw2=. if manager_id2==. | manager_id2[_n-1]==1

save "$dta/managers_characteristics_2005_2017_v3.dta", replace
