
*********** FIGURE 2

use "$tempfiles/master_data.dta", clear
	
* Estimate the manager and office FE
local var_list "lprod_sede3"	
foreach var of local var_list{
	
	set seed 1234
	reghdfe `var' if manager_id2!=. & exlude_p0!=1, absorb(man_FE_`var'=manager_id2 ///
		sede_FE_`var'=cod_sede_giu_num time_FE_`var'=year_quarter island, savefe) ///
		keepsingleton resid(r_`var')
}

* Mean residuals
preserve
	
	keep island cod_sede_giu manager_id2 r_lprod_sede3 sede_FE_lprod_sede3 man_FE_lprod_sede3 lprod_sede3

	bys island cod_sede_giu: gen n_off_temp=1 if _n==1
	bys island: egen n_offices=total(n_off_temp)

	bys island manager_id2: gen n_man_temp=1 if _n==1
	bys island: egen n_managers=total(n_man_temp)

	keep if n_managers>=4 & n_offices>=4

	egen group=group(island)
	su group, meanonly

	gen q_sede_FE=.
	gen q_man_FE=.

	forval i = 1/`r(max)' {
		xtile q_sede_FE_temp = sede_FE_lprod_sede3 if group == `i', nquantiles(4)
		replace q_sede_FE = q_sede_FE_temp if group == `i'

		xtile q_man_FE_temp = man_FE_lprod_sede3 if group == `i', nquantiles(4)
		replace q_man_FE = q_man_FE_temp if group == `i'

		drop q_sede_FE_temp q_man_FE_temp
	 }

	collapse (mean) r_lprod_sede3 lprod_sede3, by(q_sede_FE q_man_FE) // I export the residual in excel and produce the histogram in excel

restore
