
*********** FIGURE 3

clear
set scheme s1mono

foreach y in fd_lprod_sede3 fd_lY_full fd_lforza_eq {
	gen `y'=.
}	

label var fd_lprod_sede3 "Ln(P)"
label var fd_lY_full "Ln(Y)"
label var fd_lforza_eq "Ln(FTE)"

foreach v of var * { 
	local l`v' : variable label `v' 
	} 


foreach y in fd_lprod_sede3 fd_lY_full fd_lforza_eq {

	clear
	gen event_time=.
	foreach num of numlist 2/4 {
		append using "$tempfiles/Dp_Dm_`y'_m1_m`num'.dta"
		replace event_time=-`num' if event_time==.

	}
	foreach num of numlist 0/6 {
		append using "$tempfiles/Dp_Dm_`y'_m1_p`num'.dta"
		replace event_time=`num' if event_time==.

	}
	keep if parm=="d_m_FE_mean"
	
	merge 1:1 event_time using "$tempfiles/`y'_se_boot.dta"
	assert _merge==3
	drop _merge
	
	local new=_N+1
	set obs `new'
	replace event_time=-1 if event_time==.
	replace est=0 if event_time==-1
	replace min95=0 if event_time==-1
	replace max95=0 if event_time==-1
	
	replace min95=estimate - 1.96*sd_boot if event_time!=-1
	replace max95=estimate + 1.96*sd_boot if event_time!=-1
	
	sort event_time
	
	* Panel A
	if "`y'"=="fd_lprod_sede3" {	
		twoway (scatter est event_time) ///
			(line min95 event_time) ///
			(line max95 event_time), ///
			yline(0, lpattern(dash)) xtitle("Quarter") legend(off) title(`l`y'') xline(-1, lpattern(solid))
		graph export "$tables/Figure3a.eps", replace
	}	
	
	* Panel B
	if "`y'"=="fd_lY_full"{
		twoway (scatter est event_time) ///
		(line min95 event_time) ///
		(line max95 event_time), ///
		yline(0, lpattern(dash)) xtitle("Quarter") legend(off) title(`l`y'') xline(-1, lpattern(solid)) ///
			yscale(range(-1 0.8)) ymtick(-1(0.4)0.8) ylabel(-1(0.4)0.8)
		graph export "$tables/Figure3b.eps", replace
	}
	
	* Panel C
	if "`y'"=="fd_lforza_eq" {
		twoway (scatter est event_time) ///
		(line min95 event_time) ///
		(line max95 event_time), ///
		yline(0, lpattern(dash)) xtitle("Quarter") legend(off) title(`l`y'') xline(-1, lpattern(solid)) ///
			yscale(range(-1 0.8)) ymtick(-1(0.4)0.8) ylabel(-1(0.4)0.8)
		graph export "$tables/Figure3c.eps", replace
	}
}



