
*********** FIGURE 4
	
* Regressions
use "$tempfiles/master_data_fe_expanded.dta", clear

foreach num of numlist 1/12 {
	set seed 1234
	reghdfe adefLordo`num' apervenuto`num' dm5 dm4 dm3 dm2 d0 dp1 dp2 dp3 dp4 dp5 dp6 dp7 ///
		dm5_M dm4_M dm3_M dm2_M d0_M dp1_M dp2_M dp3_M dp4_M dp5_M dp6_M dp7_M ///
		if super_mis!=1, absorb(cod_sede_giu2_num year_quarter i.year_quarter#i.geo2 i.year_quarter#i.exo_strict) cl(cod_sede_giu2_num) keepsingletons
	parmest, saving("$tempfiles/adefLordo`num'_contr_T_NT.dta", replace)

}

* Graphs
clear
gen prod=.
foreach num of numlist 1/11 {

append using "$tempfiles/adefLordo`num'_contr_T_NT.dta"
replace prod=`num' if prod==.

}	

gen c=substr(parm,-2,.)=="_M"
keep if c==1
gen b=parm
replace b = subinstr(b,"_M","", .)
gen l=length(b)		
gen event_time=""
replace event_time=substr(b,-2,.) if l==4 & substr(parm,1,2)=="dp"
replace event_time="-" + substr(b,-2,.) if l==4 & substr(parm,1,2)=="dm"
replace event_time=substr(b,-1,.) if l==3 & substr(parm,1,2)=="dp"
replace event_time="-" + substr(b,-1,.) if l==3 & substr(parm,1,2)=="dm"
replace event_time="0" if parm=="d0_M"
destring event_time, replace

local new=_N+11
set obs `new'
replace event_time=-1 if event_time==.
replace est=0 if event_time==-1
replace min95=0 if event_time==-1
replace max95=0 if event_time==-1
bys prod: gen obs=_n
replace prod=obs if prod==.

sort prod event_time

* Panel A
twoway (connect est event_time if event_time>=${lower_bound} & event_time<=${upper_bound} & prod==1) ///
	(connect est event_time if event_time>=${lower_bound} & event_time<=${upper_bound} & prod==2) ///
	(connect est event_time if event_time>=${lower_bound} & event_time<=${upper_bound} & prod==3) ///
	(connect est event_time if event_time>=${lower_bound} & event_time<=${upper_bound} & prod==4), ///
	yline(0, lpattern(dash)) xtitle("Quarter") legend(order(1 "Cat 1" 2 "Cat 2" 3 "Cat 3" 4 "Cat 4")) ///
	ytitle("A(N Claims)") yscale(range(-1 1)) ymtick(-1(0.5)1) ylabel(-1(0.5)1) xline(-1, lpattern(solid))
	graph export "$tables/Figure4a.eps", replace

* Panel B
twoway (connect est event_time if event_time>=${lower_bound} & event_time<=${upper_bound} & prod==5) ///
	(connect est event_time if event_time>=${lower_bound} & event_time<=${upper_bound} & prod==7) ///
	(connect est event_time if event_time>=${lower_bound} & event_time<=${upper_bound} & prod==8) ///
	(connect est event_time if event_time>=${lower_bound} & event_time<=${upper_bound} & prod==10) ///
	(connect est event_time if event_time>=${lower_bound} & event_time<=${upper_bound} & prod==11), ///
	yline(0, lpattern(dash)) xtitle("Quarter") legend(order(1 "Cat 5" 2 "Cat 6" 3 "Cat 7" 4 "Cat 8" 5 "Cat 9")) ///
	ytitle("A(N Claims)") yscale(range(-1 1)) ymtick(-1(0.5)1) ylabel(-1(0.5)1) xline(-1, lpattern(solid))
	graph export "$tables/Figure4b.eps", replace

