
*********** FIGURE E1

clear
set scheme s1mono

foreach y in fd_lprod_sede2 {
	gen `y'=.
}	

label var fd_lprod_sede2 "Ln(P)"

foreach v of var * { 
	local l`v' : variable label `v' 
	} 


foreach y in fd_lprod_sede2 {

	clear
	gen event_time=.
	foreach num of numlist 2/4 {
		append using "$tempfiles/Dp_Dm_`y'_m1_m`num'.dta"
		replace event_time=-`num' if event_time==.

	}
	foreach num of numlist 0/6 {
		append using "$tempfiles/Dp_Dm_`y'_m1_p`num'.dta"
		replace event_time=`num' if event_time==.

	}
	keep if parm=="d_m_FE_mean"
	
	merge 1:1 event_time using "$tempfiles/`y'_se_boot.dta"
	assert _merge==3
	drop _merge
	
	local new=_N+1
	set obs `new'
	replace event_time=-1 if event_time==.
	replace est=0 if event_time==-1
	replace min95=0 if event_time==-1
	replace max95=0 if event_time==-1
	
	replace min95=estimate - 1.96*sd_boot if event_time!=-1
	replace max95=estimate + 1.96*sd_boot if event_time!=-1
	
	sort event_time
	
	
	twoway (scatter est event_time) ///
		(line min95 event_time) ///
		(line max95 event_time), ///
		yline(0, lpattern(dash)) xtitle("Quarter") legend(off) title(`l`y'') xline(-1, lpattern(solid))
	graph export "$tables/FigureE1.eps", replace

}



