
********************************************************************************

* REPLICATION ARCHIVE FOR :	"MANAGERS AND PRODUCTIVITY IN THE PUBLIC SECTOR"

* Author: Alessandra Fenizia

********************************************************************************


**** Set graphs scheme
set scheme s1color

** Define globals
global shock_indicator_notfixed switch_fe_4q_6q //  switch4q_3q
global shock_indicator_notfixed_nofe switch4q_6q // switch4q_3q 
global shock_indicator ${shock_indicator_notfixed}_fixed

* Globals for event study graphs
if "${shock_indicator_notfixed}"=="switch_fe_4q_6q" {
	* Globals for event study graphs
	global lower_bound=-4 
	global upper_bound=6
	global lower_bound_abs=-${lower_bound}
}	

if "${shock_indicator_notfixed}"=="switch4q_3q" {
	* Globals for event study graphs
	global lower_bound=-4 
	global upper_bound=3 
	global lower_bound_abs=-${lower_bound}
}

* Bootstrap
global bootstrap=1 // 1 for bootstrapped SE, 0 for non-bootstrapped SE

* Tables
global tables "" // add the path

**** Get packages
do "$dofiles/Packages.do"

**** Data cleaning
* Data cleaning
do "$dofiles/Cleaning.d0"

* Assembling the master data
do "$dofiles/Assembling.do"

**** Main Analysis
* Estimate Manager Effects
do "$dofiles/Manager_Effects.do"
	
* Table 1
do "$dofiles/Table1.do"

* Table 2
do "$dofiles/Table2.do"

* Table 3
do "$dofiles/Table3.do"

* Table 4
do "$dofiles/Table4.do"

* Table 5
do "$dofiles/Table5.do"

* Table 6
do "$dofiles/Table6.do" // this code generates the dataset that the matlab code requires
* To run the decomposition use Table6_2021.m (matlab)

* Table 7
do "$dofiles/Table7.do"

* Table 8, 9, and Appendix Table G1
do "$dofiles/Table8_9_G1.do"

* Counterfactual exercises
do "$dofiles/Counterfactual_Ex.do"

* Figure 1
do "$dofiles/Figure1.do"

* Figure 2
do "$dofiles/Figure2.do"

* Figure 3
do "$dofiles/Figure3.do"

* Figure 4
do "$dofiles/Figure4.do"


*** Appendix Tables and Figures

* Figure E1
do "$dofiles/FigureE1_2021Dec7.do"

* Table A1
do "$dofiles/TableA1_2021Nov2.do"
