
*********** TABLE 1

use "$tempfiles/master_data_fe_expanded.dta", clear

* Collapse the observable characteristics at the manager level
preserve
	bys manager_id2: egen exp_mean=mean(experience)
	bys manager_id2: egen age_mean=mean(age)
	
	keep if super_mis!=1 & manager_id2!=. 
	
	keep male exp_mean geo* geo_center geo_south_isl geo_nw geo_oth educ_d1 educ_d2 educ_d3 educ_d4 educ_d5 educ_d6 super_mis island age_mean mover
	drop geo2
	duplicates drop
	
	* label the variables
	gen exp_mean_sq=exp_mean*exp_mean
	label var exp_mean "Experience Publ. Sec."
	label var exp_mean_sq "Experience Publ. Sec. Squared"
	label var geo_south_isl "South or Islands"
	label var age_mean "Age"
	
	local var_mean "male age_mean exp_mean geo_ne geo_nw geo_center geo_south_isl geo_oth educ_d1 educ_d2 educ_d3 educ_d4 educ_d5 educ_d6"
	estpost summarize `var_mean' 
	est sto mmm
	estpost summarize `var_mean'  if mover==1
	est sto mmm_moved
	
	* Export table
	esttab mmm mmm_moved using "$tables/Table1.tex" , ///
			cells("mean(fmt(%9.2f))") mtitle("Full Sample" "Movers") title("Manager Characteristics") ///
			nodep nonumb collabels(none) label booktab replace 
	
restore
