
*********** TABLE 3

use "$tempfiles/master_data_fe.dta", clear

	
* Generate the indicator for the balanced sample (treated==1 identifies the balanced sample)
bys cod_sede_giu: egen temp_treated=sum(switch_fe_4q_6q)
gen treated=1 if temp_treated>0

* # of Managers and offices
codebook manager_id2 cod_sede_giu if manager_id2!=. // full sample
codebook manager_id2 cod_sede_giu if manager_id2!=. & treated==1 // balanced sample

* # of managers who worked in more than one office and # of offices with more than one manager
preserve
	keep treated manager_id2 cod_sede_giu
	duplicates drop
	gen a=1
	bys manager_id2: egen a_manager=total(a)
	bys cod_sede_giu: egen a_sede=total(a)

	* # of managers who worked in more than one office
	codebook manager_id2 if a_manager>1 // full sample
	codebook manager_id2 if a_manager>1 & treated==1 // balanced sample
	* # of offices with more than one manager
	codebook cod_sede_giu if a_sede>1 // full sample
	codebook cod_sede_giu if a_sede>1 & treated==1 // balanced sample
restore

* # of connected sets
codebook island if manager_id2!=. // full sample
codebook island if manager_id2!=. & treated==1 // balanced sample

* # events 
tab  switch_nofirst if manager_id2!=. // full sample
tab switch_nofirst if exo_strict==1 & manager_id2!=. // full sample & main offices
tab switch_nofirst if exo_strict==0 & manager_id2!=. // full sample & local branches
tab switch_fe_4q_6q	// balanced sample
tab switch_fe_4q_6q if exo_strict==1 // balanced sample & main offices
tab switch_fe_4q_6q if exo_strict==0 // balanced sample & local branches

* # obs
count if manager_id2!=. // full sample	
count if manager_id2!=. & treated==1 // balanced sample

drop treated temp_treated
