
*********** TABLE 6

* This code generates the datasets that you need to run the Andrews correction for the variance-covariance decomposition using matlab. 
* 	To run the decomposition, use the matlab code described below.
use "$tempfiles/master_data_fe.dta", clear

* Keep the largest connected set
keep if island==1
* Drop the quarter of the switch
drop if exlude_p0==1
* Keep only the variables we need
keep cod_sede_giu* year_quarter lprod_sede3 manager_id2 
order cod_sede_giu year_quarter manager_id2 lprod_sede3
* Drop missing values
drop if lprod_sede3==. | cod_sede_giu=="" | manager_id2==.
xtset
tab cod_sede_giu, gen(d_firm)
tab manager_id2, gen(d_man)
tab year_quarter, gen(d_time)

gen time=year_quarter

* notice that I AM EXPORTING TO THE DOWNLOADS, I WILL HAVE TO THEN MANUALLY MOVE IT TO THE TEMPFILES FOLDER
export delimited lprod_sede3 using "$tempfiles/y_excl0.csv", novarnames replace
export delimited d_firm* using "$tempfiles/F_excl0.csv", novarnames replace
export delimited d_man* using "$tempfiles/D_excl0.csv", novarnames replace
export delimited d_time* using "$tempfiles/T_excl0.csv", novarnames replace
export delimited lprod_sede3 cod_sede_giu_num manager_id2 time d_firm* d_man* d_time* using "$tempfiles/Andrews_Matrix_excl0.csv", novarnames replace

* To run the Andrews correction for the variance-covariance decomposition, place the datasets
*	generated by this dofile in the same folder as Table6_2021.m and then run the matlab code
