
*********** TABLE 7

use "$tempfiles/master_data_fe_expanded.dta", clear


preserve
		bys manager_id2: egen exp_mean=mean(experience)
		
		keep if super_mis!=1 & manager_id2!=. 
		
		keep man_FE_lprod_sede3 male exp_mean geo* geo_center geo_south_isl geo_nw geo_oth educ_d2 educ_d3 educ_d4 educ_d5 educ_d6 super_mis island 
		drop geo2
		duplicates drop

		gen exp_mean_sq=exp_mean*exp_mean
		label var exp_mean "Experience Publ. Sec."
		label var exp_mean_sq "Experience Publ. Sec. Squared"
		label var geo_south_isl "South or Islands"
		
		
		areg man_FE_lprod_sede3 male exp_mean exp_mean_sq geo_center geo_south_isl geo_nw geo_oth educ_d2 educ_d3 educ_d4 educ_d5 educ_d6 if super_mis!=1, absorb(island) robust
		est sto char
		estadd local cs_fe "Yes"

		esttab  char ///
		using "$tables/Table7.tex", label cells(b(star fmt(%9.2f)) se(par fmt(%9.2f))) star(* 0.10 ** 0.05 *** 0.01) ///
		drop(_cons) s(N r2 cs_fe, fmt(%9.0g %9.2f) label("N" "R sq." "CS FE")) ///
		obslast collabels(none) ///
		mtitles("Manager FE") ///
		title("Manager Effects and Observable Characteristics \label{tab: char manager}") ///
		addnotes("Robust SE in parenthesis" ///
		"Stars: * for p$<$.10, ** for p$<$.05, and *** for p$<$.01." ///
		"The omitted categories are female, North-East, and no college.") ///
		replace
	
	restore
